Index: config/python.m4
===================================================================
RCS file: /opt/arc/cvs2/pgsql/config/python.m4,v
retrieving revision 1.11
diff -u -r1.11 python.m4
--- config/python.m4	11 Oct 2004 19:32:16 -0000	1.11
+++ config/python.m4	13 Aug 2005 09:13:29 -0000
@@ -77,4 +77,19 @@
 AC_SUBST(python_libdir)[]dnl
 AC_SUBST(python_libspec)[]dnl
 AC_SUBST(python_additional_libs)[]dnl
+
+# threaded python is not supported on bsd's
+AC_MSG_CHECKING(whether Python is compiled with thread support)
+pythreads=`${PYTHON} -c "import sys; print int('thread' in sys.builtin_module_names)"`
+if test "$pythreads" = "1"; then
+  AC_MSG_RESULT(yes)
+  case $host_os in
+  openbsd*|freebsd*)
+    AC_MSG_ERROR([*** Threaded Python not supported on this platform ***])
+    ;;
+  esac
+else
+  AC_MSG_RESULT(no)
+fi
+
 ])# PGAC_CHECK_PYTHON_EMBED_SETUP
